.session-popup {
  position: fixed;
  bottom: 36px;
  left: 36px;
  width: 100%;
  max-width: 592px;
  z-index: 99;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  border-radius: 5px;
  padding: 20px;
  box-shadow: 0 0 20px 0 rgba(51, 45, 45, 0.1);
  background: #fff;
  opacity: 0;
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transition: opacity 0.5s ease;
  -o-transition: opacity 0.5s ease;
  transition: opacity 0.5s ease;
}
.session-popup.active {
  opacity: 1;
  pointer-events: all;
}
.session-popup__body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 24px;
}
.session-popup__text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 2px;
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
  color: #2b2a29;
}
.session-popup__text p {
  margin: 0;
}
.session-popup__text span {
  font-weight: 700;
  font-size: 16px;
  line-height: 23px;
}
.session-popup__text a {
  text-decoration: underline;
  text-underline-offset: 3px;
  color: #8c3d6b;
  transition: color 0.3s, text-decoration-color 0.3s;
}
.session-popup__button {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  text-align: center;
  border-radius: 6px;
  padding: 10px 33px;
  min-height: 51px;
  width: auto;
  height: auto;
  flex-shrink: 0;
  font-weight: 500;
  font-size: 16px;
  line-height: 23px;
  box-sizing: border-box;
  background-color: #8c3d6b;
  color: #fff;
  transition: background-color 0.3s;
}
@media (any-hover: hover) {
  .session-popup__text a:hover {
    cursor: pointer;
    color: #78355c;
  }
  .session-popup__button:hover {
    cursor: pointer;
    background-color: #78355c;
  }
}
@media screen and (max-width: 767px) {
  .session-popup__body {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }
  .session-popup {
    bottom: 20px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    max-width: calc(100% - 20px);
  }
}
